Package org.apache.ignite.internal.processors.cache.version

## Interface GridCacheVersionable

All Known Subinterfaces:
  `GridCacheVersionedEntryEx<K,​V>`

All Known Implementing Classes:
  `GridCacheLazyPlainVersionedEntry`, `GridCachePlainVersionedEntry`, `GridCacheRawVersionedEntry`, `GridCacheTxRecoveryRequest`, `GridCacheTxRecoveryResponse`, `GridDhtLockRequest`, `GridDhtLockResponse`, `GridDhtTxFinishRequest`, `GridDhtTxPrepareRequest`, `GridDhtTxPrepareResponse`, `GridDhtUnlockRequest`, `GridDistributedBaseMessage`, `GridDistributedLockRequest`, `GridDistributedLockResponse`, `GridDistributedTxFinishRequest`, `GridDistributedTxPrepareRequest`, `GridDistributedTxPrepareResponse`, `GridDistributedUnlockRequest`, `GridNearGetRequest`, `GridNearGetResponse`, `GridNearLockRequest`, `GridNearLockResponse`, `GridNearTxFinishRequest`, `GridNearTxPrepareRequest`, `GridNearTxPrepareResponse`, `GridNearUnlockRequest`

    public interface GridCacheVersionable

Classes that are based on version may choose to implement this interface.

### Method Summary

All Methods Instance Methods Abstract Methods
`GridCacheVersion` `version()`

### Method Detail

#### version

    GridCacheVersion version()

Returns:
  Version.